# Uses of Class
com.ngrok.definitions.EventSubscription

Packages that use EventSubscription
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EventSubscription in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type EventSubscription
  Modifier and Type
  Method
  Description
  `List<EventSubscription>`
  EventSubscriptionList.`getEventSubscriptions()`
  The list of all Event Subscriptions on this account.
  Constructor parameters in com.ngrok.definitions with type arguments of type EventSubscription
  Modifier
  Constructor
  Description
  ``
  `EventSubscriptionList(List<EventSubscription> eventSubscriptions, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `EventSubscriptionList`.

- ## Uses of EventSubscription in com.ngrok.services

  Methods in com.ngrok.services that return EventSubscription
  Modifier and Type
  Method
  Description
  `EventSubscription`
  EventSubscriptions.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EventSubscription`
  EventSubscriptions.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EventSubscription`
  EventSubscriptions.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EventSubscription
  Modifier and Type
  Method
  Description
  `CompletionStage<EventSubscription>`
  EventSubscriptions.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EventSubscription>`
  EventSubscriptions.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EventSubscription>`
  EventSubscriptions.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.